extends Control

signal faded_in()
signal faded_out()

func fade_in():
	$AnimationPlayer.play("fade_in")

func fade_out():
	$AnimationPlayer.play("fade_out")

func _on_animation_finished(anim_name):
	match anim_name:
		"fade_in":
			emit_signal("faded_in")
		"fade_out":
			$Cards.cleanup()
			emit_signal("faded_out")
